Test2::Event::Exception(3)

NAME
Test2::Event::Exception - Exception event

DESCRIPTION
An exception event will display to STDERR, and will prevent the overall test file from passing.

SYNOPSIS
    use Test2::API qw/context/;
    use Test2::Event::Exception;

    my $ctx = context();
    my $event = $ctx->send_event('Exception', error => 'Stuff is broken');

METHODS
Inherits from Test2::Event. Also defines:

$reason = $e->error
    The reason for the exception.

CAVEATS
Be aware that all exceptions are stringified during construction.

SOURCE
The source code repository for Test2 can be found at http://github.com/Test-More/test-more/.

MAINTAINERS

Chad Granum <exodist@cpan.org>

AUTHORS
Chad Granum <exodist@cpan.org>

COPYRIGHT
Copyright 2020 Chad Granum <exodist@cpan.org>.

This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.

See http://dev.perl.org/licenses/

POD ERRORS
Hey! The above document had some coding errors, which are explained below:

Around line 48:
    This document probably does not appear as it should, because its "=encoding UTF-8" line calls for an unsupported encoding. [Pod::Simple::TranscodeDumb v3.43's supported encodings are: ascii ascii-ctrl cp1252 iso-8859-1 latin-1 latin1 null]

    Couldn't do =encoding UTF-8: This document probably does not appear as it should, because its "=encoding UTF-8" line calls for an unsupported encoding. [Pod::Simple::TranscodeDumb v3.43's supported encodings are: ascii ascii-ctrl cp1252 iso-8859-1 latin-1 latin1 null]